# ENTITY_RELATIONSHIP_TYPE Struct Reference

`#include <entity_types.hpp>`

List of all members.

## Public Attributes
std::string | primaryKey
std::string | secondaryKey
bool | reverseLookup
bool | directLookup
std::string | entityLdapName

## Member Data Documentation

std::string ENTITY_RELATIONSHIP_TYPE::primaryKey

std::string ENTITY_RELATIONSHIP_TYPE::secondaryKey

bool ENTITY_RELATIONSHIP_TYPE::reverseLookup

bool ENTITY_RELATIONSHIP_TYPE::directLookup

std::string ENTITY_RELATIONSHIP_TYPE::entityLdapName

The documentation for this struct was generated from the following file:

- entity_types.hpp